﻿@model IEnumerable<KhensysTest.Models.Permisos>

@{
    ViewBag.Title = "Index";
}

<h2>Ver Permisos</h2>


<table class="table">
    <tr>
        <th>
            Tipo Permiso
        </th>
        <th>
            Nombre Empleado
        </th>
        <th>
            Apellidos Empleado
        </th>
        <th>
            Fecha Permiso
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.TipoPermisos.Descripcion)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.NombreEmpleado)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ApellidosEmpleado)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FechaPermiso)
            </td>
            <td>
                <button type="button" class="btn btn-warning" data-id="@item.Id" data-toggle="modal" data-target="#exampleModal">
                    Eliminar
                </button>
                
            </td>
        </tr>
    }

</table>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
               <h4>Esta seguro de eliminar el registro?</h4>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>               
                <input type="button" id="EliminarPermiso" value="Eliminar" class="btn btn-danger" />
                
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">

    var idPermiso;

    $('#EliminarPermiso').click(function () {
        $.ajax({
            type: "POST",
            url: "/Permisos/Delete",
            datatype: "json",
            data: { id: idPermiso },
            success: function (result) {
                location.reload();
            }
        })
    });

    $('#exampleModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        idPermiso = button.data('id') // Extract info from data-* attributes
        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
       
    })



</script>
